[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.DoCreateDefaultFont

Creates the custom font used as the default for the canvas.

## Declaration

Source position: lazcanvas.pas line 103

`protected function TLazCanvas.DoCreateDefaultFont: TFPCustomFont; override;`

## Function result

TFPCustomFont instance created and initialized in the method.

## Description

DoCreateDefaultFont is an overridden TFPCustomFont function used to provide the default font for the canvas class instance. DoCreateDefaultFont implements the abstract virtual method defined in an ancestor class, and emulates the method defined in TCanvas.

DoCreateDefaultFont sets the Size property in the font to zero (0); this causes the default font size for the platform or widget set to be used. The FPColor property in the font is set to colBlack.